Page MenuHomePhabricator

Simplify iOS App navigation
Closed, DeclinedPublic

Description

Definition Progress

  • Summary
  • Rationale
  • Success Metrics
  • External Dependencies
  • Unknowns
  • Product Plan
    • Prototyping
    • MVP
    • User stories
    • User Story Phab Tickets
    • Metrics Implementation
    • Metrics Phab Tickets
    • Estimates
    • Delivery Date

Summary

Simplify app navigation to provide better visibility and increase engagement within the most important parts of the application.

Goal Visibility

Internal

Rationale

The current version of the app is mostly focused on "browser" based navigation of articles. Users can get the same or similar experience in the mobile web browser. In order to improve UX and take advantage of platform technologies, we want to decrease the reliance on web UI as the primary interface of the application.

Additionally, the majority of the native functionality is tucked away within the left "W" menu. This reduces engagement with these items since they are "hidden" most of the time. To improve the engagement with these items, we want to make them easier to get to for users.

Success Metrics

Engagement with items previously in side menu (recent and saved) is greater than before

Demonstrates that users were and are interested in these features, and that engagement suffered because they were buried in the side menu

Average number of saved pages per user is higher than before the design

Demonstrates that saving pages is a useful feature, but because the saved page list was not in the primary navigation users did not feel it was worthwhile to save pages for later

External Dependencies

None

Unknowns

None

Product Plan

Prototyping

No - user testing will be done in the alpha/beta channels and then iterated on afterwards

MVP

A new navigation hierarchy with these items in the primary navigation (i.e. single tap away):

  • Discover
  • Recent
  • Saved
  • Search
  • Settings (aka More menu)

See scratch pad architecture here:
http://etherpad.wikimedia.org/p/AppsNav

User Stories

User StoryTicket
As a user I expect to be alerted to relevant information in an obvious and non-UI blocking wayT97786
As a user, I would like to navigate the list of my "recent" articles easily. I should also be able to remove articles that I no longer consider relevantT98497
A user I want to be able to navigate to saved pages easily.T104818
As a curious apps reader, I'd like a feed of articles/facts/images so that I can learn more about topics I'm interested in.T93327
As a user I want to be able to search in different languages easilyT92528
As a user I want to be able to search for articles quickly and easily no matter what I am doing in the appT101294
As a user, I would like to view history easily when an article I am interested in is not in my recentsT98881

Metrics Implementation

Define any tasks needed to be completed to enable the success metrics to measured. Create a Phab task and link to it here.

Timeline Estimate

List estimates below. These do not have to be exact. These are just used to validate proposed timelines and ship dates.

TaskEstimate
Prototyping1 week
User Testing2 weeks
Mockups2 weeks
Development2 weeks
Beta Testing1 week

Delivery Estimate

What is the estimated ship date to end users?

Related Objects

StatusSubtypeAssignedTask
DeclinedNone
ResolvedFjalapeno
ResolvedJMinor
Resolved BGerstle-WMF
ResolvedJMinor
ResolvedFjalapeno
ResolvedFjalapeno
ResolvedMhurd
ResolvedFjalapeno
ResolvedFjalapeno
ResolvedNone
InvalidJMinor
Resolved KHammerstein
DeclinedNone

Event Timeline

Fjalapeno raised the priority of this task from to Needs Triage.
Fjalapeno updated the task description. (Show Details)
Fjalapeno added a project: Mobile-App-Goals.
Fjalapeno added a subscriber: Fjalapeno.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2015, 10:42 PM
Fjalapeno renamed this task from Simplify App navigation to Simplify iOS App navigation.Jul 2 2015, 6:15 PM
Fjalapeno moved this task from Unscheduled to Q1 Android on the Mobile-App-Goals board.
Fjalapeno set Security to None.
Fjalapeno moved this task from Q1 Android to Q1 iOS on the Mobile-App-Goals board.Jul 3 2015, 5:43 PM
Fjalapeno added a project: Epic.
Fjalapeno updated the task description. (Show Details)Jul 5 2015, 6:34 PM
Fjalapeno updated the task description. (Show Details)
Fjalapeno updated the task description. (Show Details)Jul 5 2015, 10:55 PM
Fjalapeno updated the task description. (Show Details)Jul 6 2015, 2:30 PM
dr0ptp4kt moved this task from Backlog to Current Quarter on the Reading-Admin board.
JMinor moved this task from Q1 iOS to Q2 iOS on the Mobile-App-Goals board.Oct 21 2015, 7:26 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 18 2015, 9:17 PM
JMinor changed the status of subtask T113550: View articles in Modal windows from Stalled to Open.Feb 3 2016, 8:55 PM
JMinor changed the status of subtask T113550: View articles in Modal windows from Open to Stalled.Feb 9 2016, 7:52 PM
JMinor changed the status of subtask T113550: View articles in Modal windows from Stalled to Open.Feb 10 2016, 9:25 PM

Is T113550: View articles in Modal windows still a blocking task? I'm wondering if I can drag this to the Done column in Reading-Admin.

dr0ptp4kt closed this task as Declined.Jul 20 2017, 11:10 PM